aboutsummaryrefslogtreecommitdiffstats
path: root/testing/psmisc/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-12-17 18:43:02 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-12-17 18:43:02 +0000
commit42c872530e914f7e7623de8b14e72a320687f8be (patch)
treef4d8a7a930b9d44dcbf8f1033022752a0d03b3b7 /testing/psmisc/APKBUILD
parent13e4d83640d0592dd8d6aa3efe1eb1bf241cddb5 (diff)
downloadaports-42c872530e914f7e7623de8b14e72a320687f8be.tar.gz
aports-42c872530e914f7e7623de8b14e72a320687f8be.tar.bz2
aports-42c872530e914f7e7623de8b14e72a320687f8be.tar.xz
testing/psmisc: new aport
a set of some small useful utilities that use the proc filesystem http://psmisc.sourceforge.net/
Diffstat (limited to 'testing/psmisc/APKBUILD')
-rw-r--r--testing/psmisc/APKBUILD36
1 files changed, 36 insertions, 0 deletions
diff --git a/testing/psmisc/APKBUILD b/testing/psmisc/APKBUILD
new file mode 100644
index 0000000000..3e3eef8911
--- /dev/null
+++ b/testing/psmisc/APKBUILD
@@ -0,0 +1,36 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=psmisc
+pkgver=22.13
+pkgrel=0
+pkgdesc="a set of some small useful utilities that use the proc filesystem"
+url="http://psmisc.sourceforge.net/"
+arch="x86 x86_64"
+license="BSD GPL"
+depends=
+makedepends="ncurses-dev"
+install=
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/psmisc/psmisc-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$_builddir"
+ # apply patches here
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="e2c339e6b65b730042084023784a729e psmisc-22.13.tar.gz"